# general info
NAME="bison"
DESC="General-purpose parser generator"
VERSION="3.8.2"

# required files
FILES=("https://ftp.gnu.org/gnu/bison/bison-${VERSION}.tar.xz")
HASHES=("c28f119f405a2304ff0a7ccdcc629713")

# install and build depends
DEPENDS=("gettext" "glibc" "m4" "bash")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr --docdir="/usr/share/doc/bison-${VERSION}"
  make && make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
