# general info
NAME="icu"
DESC="International Components for Unicode"
VERSION="74-2"
_RVERSION="$(echo "${VERSION}" | sed 's/-/_/g')"


# required files
FILES=("https://github.com/unicode-org/icu/releases/download/release-${VERSION}/icu4c-${_RVERSION}-src.tgz")
HASHES=("94c0b370f43123ea92b146ebea9c709d")

# install and build depends
DEPENDS=("gcc-libs" "glibc" "bash")
BUILD=("python3")

PACKAGE(){
  tar xf "${NAME}4c-${_RVERSION}-src.tgz"
  cd "${NAME}"

  cd source
  ./configure --prefix=/usr
  make
  make DESTDIR="${ROOTDIR}" install

  cd ../.. && rm -r "${NAME}"
}
