# general info
NAME="jansson"
DESC="C library for encoding, decoding and manipulating JSON data"
VERSION="2.14"

# required files
FILES=("https://github.com/akheron/jansson/releases/download/v${VERSION}/jansson-${VERSION}.tar.bz2")
HASHES=("3f90473d7d54ebd1cb6a2757396641df")

# install and build depends
DEPENDS=("glibc")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.bz2"
  cd "${NAME}-${VERSION}"

  sed -e "/DT/s;| sort;| sed 's/@@libjansson.*//' &;" \
    -i test/suites/api/check-exports

  ./configure --prefix=/usr --disable-static
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
