# general info
NAME="libassuan"
DESC="Small library implementing the Assuan protocol"
VERSION="3.0.1"

# required files
FILES=("https://gnupg.org/ftp/gcrypt/libassuan/libassuan-${VERSION}.tar.bz2")
HASHES=("6914a02c20053bae0fc4c29c5c40655f1cec711983d57fa85e46df34e90b10e33d31256dd50ae7c7faa8d8d750a529bf9072da0cda3bdd77ebfedbc0e26e5e16")

# install and build depends
DEPENDS=("glibc" "libgpg-error" "bash")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.bz2"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
