# general info
NAME="libmp"
DESC="MatterLinux package management library"
VERSION="24.05"

# required files
FILES=("https://git.matterlinux.xyz/Matter/libmp/archive/${VERSION}.tar.gz")
HASHES=("582b7694e00d2ea18ac7da4888e3e71dbdbb84bbbd04a89e134bc2c531c38a47")

# install and build depends
DEPENDS=(
  "openssl" "libarchive" "libinih"
  "sqlite" "gpgme" "gettext"
)
BUILD=("gcc" "make")

PACKAGE(){
  tar xf "${VERSION}.tar.gz"
  cd "${NAME}"

  make

  install -Ddm755 "${ROOTDIR}/usr/lib"
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}"
}
