# general info
NAME="man-pages"
DESC="Manual pages for Linux kernel and C library interfaces"
VERSION="6.9.1"

# required files
FILES=(
  "https://www.kernel.org/pub/linux/docs/man-pages/man-pages-${VERSION}.tar.xz"
  "https://www.kernel.org/pub/linux/docs/man-pages/man-pages-posix/man-pages-posix-2017-a.tar.xz"
)
HASHES=(
  "e23cbac29f110ba571f0da8523e79d373691466ed7f2a31301721817d34530bd"
  "ce67bb25b5048b20dad772e405a83f4bc70faf051afa289361c81f9660318bc3"
)

# install and build depends
DEPENDS=()
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  tar xf "${NAME}-posix-2017-a.tar.xz"
  
  pushd "${NAME}-${VERSION}"
    rm -v man3/crypt*
    make DESTDIR="${ROOTDIR}" prefix=/usr install
  popd

  pushd "${NAME}-posix-2017"
    make DESTDIR="${ROOTDIR}" prefix=/usr install
  popd

  rm -r "${NAME}-${VERSION}"
  rm -r "${NAME}-posix-2017"
}
