# general info
NAME="matt"
DESC="The (new) MatterLinux package manager"
VERSION="24.01m3"

# required files
FILES=(
  "https://git.matterlinux.xyz/Matter/matt/archive/${VERSION%m*}.tar.gz"
  "config.ini"
)
HASHES=(
  "5a8c4538733e5aa2694b1993123ad4deb482335cbda3e1a1987b5e17d44e37f3"
  "d71417d617f9953c3d2746edd3c62dd1b17851e5a459a62ffc320c9738c88b30"
)
KEEP=("etc/matt/config.ini")

# install and build depends
DEPENDS=("libmp" "libinih" "gettext")
BUILD=("gcc" "make")

PACKAGE(){
  tar xf "${VERSION%m*}.tar.gz"
  cd "${NAME}"

  make

  install -Ddm755 "${ROOTDIR}/usr/bin"
  install -Ddm755 "${ROOTDIR}/etc/matt"

  make DESTDIR="${ROOTDIR}" install
  install -m644 "${ROOTDIR}/config.ini" "${ROOTDIR}/etc/matt/config.ini"

  cd .. && rm -r "${NAME}"
}
