# general info
NAME="pypa-packaging"
DESC="Core utilities for Python packages"
VERSION="24.1"

# required files
FILES=("https://github.com/pypa/packaging/archive/refs/tags/${VERSION}.tar.gz")
HASHES=("45836ea0e7531c485a7d5e568f9740c7f075ff1b72a0d60422c5b76c031866428ff2137d9bd153790a9fcfff6bd4a7555bc40555409ad46debae7f1c9c1fe129")

# install and build depends
DEPENDS=("python3")
BUILD=("pypi-flit-core")

PACKAGE(){
  tar xf "${VERSION}.tar.gz"
  cd "packaging-${VERSION}"

  python3 -m build --wheel --skip-dependency-check --no-isolation
  PYTHONPATH=src python3 -m installer --destdir="${ROOTDIR}" dist/*.whl

  cd .. && rm -r "packaging-${VERSION}"
}
