# general info
NAME="sed"
DESC="GNU stream editor"
VERSION="4.9"

# required files
FILES=("https://ftp.gnu.org/gnu/sed/sed-${VERSION}.tar.xz")
HASHES=("6aac9b2dbafcd5b7a67a8a9bcb8036c3")

# install and build depends
DEPENDS=("acl" "glibc")
BUILD=("gettext")

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr
  make
  make html
  make DESTDIR="${ROOTDIR}" install

  install -d -m755           "${ROOTDIR}/usr/share/doc/sed-${VERSION}"
  install -m644 doc/sed.html "${ROOTDIR}/usr/share/doc/sed-${VERSION}"

  cd .. && rm -r "${NAME}-${VERSION}"
}
