# general info
NAME="xz"
DESC="Complete C99 implementation of the .xz file format"
VERSION="5.6.2"

# required files
FILES=("https://github.com/tukaani-project/xz/archive/refs/tags/v${VERSION}.tar.gz")
HASHES=("92a439948bba24c2bc25bb67a087a19194905209c56b5e600bc94fd2a472e687")

# install and build depends
DEPENDS=()
BUILD=()

PACKAGE(){
  tar xf "v${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  autoreconf -fiv
  ./configure --prefix=/usr  \
            --disable-static \
            --docdir="/usr/share/doc/xz-${VERSION}"

  make && make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
