# general info
NAME="attr"
DESC="Commands for manipulating filesystem extended attributes"
VERSION="2.5.2"

# required files
FILES=("https://download.savannah.gnu.org/releases/attr/attr-${VERSION}.tar.gz")
HASHES=("227043ec2f6ca03c0948df5517f9c927")

# install and build depends
DEPENDS=("glibc")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr   \
            --disable-static  \
            --sysconfdir=/etc \
            --docdir="/usr/share/doc/attr-${VERSION}"
  make && make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
