# general info
NAME="efivar"
DESC="Tools and libraries to work with EFI variables"
VERSION="39"

# required files
FILES=("https://github.com/rhboot/efivar/archive/${VERSION}/efivar-${VERSION}.tar.gz")
HASHES=("a8fc3e79336cd6e738ab44f9bc96a5aa")

# install and build depends
DEPENDS=("glibc")
BUILD=("mandoc")

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  make && make DESTDIR="${ROOTDIR}" install LIBDIR=/usr/lib

  cd .. && rm -r "${NAME}-${VERSION}"
}
