# general info
NAME="flex"
DESC="The Fast Lexical Analyzer"
VERSION="2.6.4"

# required files
FILES=("https://github.com/westes/flex/releases/download/v${VERSION}/flex-${VERSION}.tar.gz")
HASHES=("2882e3179748cc9f9c23ec593d6adc8d")

# install and build depends
DEPENDS=()
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr                            \
             --docdir="/usr/share/doc/flex-${VERSION}" \
             --disable-static

  make
  make DESTDIR="${ROOTDIR}" install

  ln -sv flex   "${ROOTDIR}/usr/bin/lex"
  ln -sv flex.1 "${ROOTDIR}/usr/share/man/man1/lex.1"

  cd .. && rm -r "${NAME}-${VERSION}"
}
