# general info
NAME="groff"
DESC="GNU roff"
VERSION="1.23.0"

# required files
FILES=("https://ftp.gnu.org/gnu/groff/groff-${VERSION}.tar.gz")
HASHES=("5e4f40315a22bb8a158748e7d5094c7d")

# install and build depends
DEPENDS=("gcc-libs" "perl")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
