# general info
NAME="gzip"
DESC="Popular data compression program originally written by Jean-loup Gailly for the GNU project"
VERSION="1.13"

# required files
FILES=("https://ftp.gnu.org/gnu/gzip/gzip-${VERSION}.tar.xz")
HASHES=("d5c9fc9441288817a4a0be2da0249e29")

# install and build depends
DEPENDS=(
  "bash" "coreutils" "glibc"
  "grep" "sed"
)
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
