# general info
NAME="libpsl"
DESC="C library for the Public Suffix List"
VERSION="0.21.5"

# required files
FILES=("https://github.com/rockdaboot/libpsl/releases/download/${VERSION}/libpsl-${VERSION}.tar.gz")
HASHES=("870a798ee9860b6e77896548428dba7b")

# install and build depends
DEPENDS=("libidn2" "libunistring")
BUILD=("python3" "libxslt")

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  mkdir build
  cd    build

  meson setup --prefix=/usr --buildtype=release
  ninja
  DESTDIR="${ROOTDIR}" ninja install

  cd ../.. && rm -r "${NAME}-${VERSION}"
}
