# general info
NAME="libseccomp"
DESC="An easy to use, platform independent, interface to the Linux Kernel's syscall filtering mechanism"
VERSION="2.5.5"

# required files
FILES=("https://github.com/seccomp/libseccomp/releases/download/v${VERSION}/libseccomp-${VERSION}.tar.gz")
HASHES=("c27a5e43cae1e89e6ebfedeea734c9b4")

# install and build depends
DEPENDS=("gcc-libs" "glibc")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  autoreconf -fiv
  ./configure --prefix=/usr

  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
