# general info
NAME="libtool"
DESC="GNU portable library tool"
VERSION="2.4.7"

# required files
FILES=("https://ftp.gnu.org/gnu/libtool/libtool-${VERSION}.tar.xz")
HASHES=("2fc0b6ddcd66a89ed6e45db28fa44232")

# install and build depends
DEPENDS=()
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr
  make
  make DESTDIR="${ROOTDIR}" install
  rm -fv "${ROOTDIR}/usr/lib/libltdl.a"

  cd .. && rm -r "${NAME}-${VERSION}"
}
