# general info
NAME="nspr"
DESC="Netscape Portable Runtime"
VERSION="4.35"

# required files
FILES=("https://archive.mozilla.org/pub/nspr/releases/v${VERSION}/src/nspr-${VERSION}.tar.gz")
HASHES=("5e0acf9fbdde85181bddd510f4624841")

# install and build depends
DEPENDS=("glibc" "bash")
BUILD=("zip")

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  cd nspr

  sed -i '/^RELEASE/s|^|#|' pr/src/misc/Makefile.in
  sed -i 's|$(LIBRARY) ||'  config/rules.mk

  ./configure --prefix=/usr \
            --with-mozilla  \
            --with-pthreads \
            --enable-64bit
  make
  make DESTDIR="${ROOTDIR}" install

  cd ../.. && rm -r "${NAME}-${VERSION}"
}
