# general info
NAME="patch"
DESC="Takes a patch file containing a difference listing produced by the diff program and applies those differences to one or more original files"
VERSION="2.7.6"

# required files
FILES=("https://ftp.gnu.org/gnu/patch/patch-${VERSION}.tar.xz")
HASHES=("78ad9937e4caadcba1526ef1853730d5")

# install and build depends
DEPENDS=("attr" "glibc")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
