# general info
NAME="pypa-setuptools"
DESC="Official project repository for the Setuptools build system"
VERSION="72.2.0"

# required files
FILES=("https://github.com/pypa/setuptools/archive/refs/tags/v${VERSION}.tar.gz")
HASHES=("3b52e15cc1de60437f0819c73a817e1bed283961c81e9b8e5c6d41cc4999a6ba")

# install and build depends
DEPENDS=("pypa-packaging" "pypi-flit-core" "python3")
BUILD=()

PACKAGE(){
  tar xf "v${VERSION}.tar.gz"
  cd "setuptools-${VERSION}"

  python3 -m build --wheel --skip-dependency-check --no-isolation
  PYTHONPATH=src python3 -m installer --destdir="${ROOTDIR}" dist/*.whl

  cd .. && rm -r "setuptools-${VERSION}"
}
